TerminationReason:
  0: {id: 1, name: 'Resigned'}
  1: {id: 2, name: 'Dismissed'}
  2: {id: 3, name: 'Laid-off'} 

EmployeeTerminationRecord:
  0: {id: 1, reasonId: 1, date: '2011-12-09'}   
  1: {id: 2, reasonId: 1, date: '2011-12-09'} 
  
Employee:
  0: {empNumber: 1, firstName: 'Kayla', lastName: 'Abbey', termination_id: 1}
  1: {empNumber: 2, firstName: 'Ashley', lastName: 'Abel'}
  2: {empNumber: 3, firstName: 'Tyler', lastName: 'Abraham'}
  3: {empNumber: 4, firstName: 'Landon', lastName: 'Abrahams', termination_id: 2}
  4: {empNumber: 5, firstName: 'James', lastName: 'Abrahamson'}
  5: {empNumber: 6, firstName: 'Jane', lastName: 'Edward'}

OldLeaveType:
  0: {leaveTypeId: 'LTY001', leaveTypeName: 'Casual', availableFlag: 1}
  1: {leaveTypeId: 'LTY002', leaveTypeName: 'Medical', availableFlag: 1}
  2: {leaveTypeId: 'LTY003', leaveTypeName: 'Company', availableFlag: 0}
  3: {leaveTypeId: 'LTY004', leaveTypeName: 'Annual', availableFlag: 1}

LeavePeriod:
  0: {leavePeriodId: 1, startDate: '2010-01-01', endDate: '2010-12-31'}
  1: {leavePeriodId: 2, startDate: '2011-01-01', endDate: '2011-12-31'}

LeaveRequest:
  0: {leave_request_id: 1, leave_period_id: 1, leave_type_id: 'LTY001', leave_type_name: 'Casual', date_applied: '2010-08-30', empNumber: 1, leave_comments: 'my comment1'}
  1: {leave_request_id: 2, leave_period_id: 1, leave_type_id: 'LTY001', leave_type_name: 'Casual', date_applied: '2010-08-02', empNumber: 1, leave_comments: 'my comment2'}
  2: {leave_request_id: 3, leave_period_id: 1, leave_type_id: 'LTY002', leave_type_name: 'Medical', date_applied: '2010-08-03', empNumber: 1, leave_comments: 'my comment3'}
  3: {leave_request_id: 4, leave_period_id: 1, leave_type_id: 'LTY001', leave_type_name: 'Casual', date_applied: '2010-08-04', empNumber: 1, leave_comments: 'my comment4'}
  4: {leave_request_id: 5, leave_period_id: 1, leave_type_id: 'LTY002', leave_type_name: 'Medical', date_applied: '2010-08-05', empNumber: 1, leave_comments: 'my comment5'}
  5: {leave_request_id: 6, leave_period_id: 1, leave_type_id: 'LTY002', leave_type_name: 'Medical', date_applied: '2010-08-06', empNumber: 1, leave_comments: 'my comment5'}
  6: {leave_request_id: 7, leave_period_id: 1, leave_type_id: 'LTY001', leave_type_name: 'Casual', date_applied: '2010-08-07', empNumber: 1, leave_comments: 'my comment7'}
  7: {leave_request_id: 8, leave_period_id: 1, leave_type_id: 'LTY001', leave_type_name: 'Casual', date_applied: '2010-08-08', empNumber: 1, leave_comments: 'my comment8'}
  8: {leave_request_id: 9, leave_period_id: 1, leave_type_id: 'LTY003', leave_type_name: 'Company', date_applied: '2010-06-08', empNumber: 1, leave_comments: 'my comment9'}
  9: {leave_request_id: 10, leave_period_id: 1, leave_type_id: 'LTY001', leave_type_name: 'Casual', date_applied: '2010-06-09', empNumber: 1, leave_comments: 'my comment10'}
  10: {leave_request_id: 11, leave_period_id: 1, leave_type_id: 'LTY002', leave_type_name: 'Medical', date_applied: '2010-06-10', empNumber: 1, leave_comments: 'my comment111'}
  11: {leave_request_id: 12, leave_period_id: 1, leave_type_id: 'LTY002', leave_type_name: 'Medical', date_applied: '2010-08-10', empNumber: 2, leave_comments: 'my comment1'}
  12: {leave_request_id: 13, leave_period_id: 1, leave_type_id: 'LTY001', leave_type_name: 'Casual', date_applied: '2010-08-11', empNumber: 2, leave_comments: 'my comment2'}
  13: {leave_request_id: 14, leave_period_id: 1, leave_type_id: 'LTY001', leave_type_name: 'Casual', date_applied: '2010-08-12', empNumber: 2, leave_comments: 'my comment3'}
  14: {leave_request_id: 15, leave_period_id: 1, leave_type_id: 'LTY002', leave_type_name: 'Medical', date_applied: '2010-08-13', empNumber: 3, leave_comments: 'my comment4'}
  15: {leave_request_id: 16, leave_period_id: 1, leave_type_id: 'LTY001', leave_type_name: 'Casual', date_applied: '2010-08-14', empNumber: 5, leave_comments: 'my comment5'}
  16: {leave_request_id: 17, leave_period_id: 1, leave_type_id: 'LTY002', leave_type_name: 'Medical', date_applied: '2010-08-15', empNumber: 5, leave_comments: 'my comment6'}
  17: {leave_request_id: 18, leave_period_id: 1, leave_type_id: 'LTY002', leave_type_name: 'Medical', date_applied: '2010-03-15', empNumber: 5, leave_comments: 'my comment7'}
  18: {leave_request_id: 19, leave_period_id: 2, leave_type_id: 'LTY001', leave_type_name: 'Casual', date_applied: '2010-08-20', empNumber: 5, leave_comments: 'my comment8'}
  19: {leave_request_id: 20, leave_period_id: 2, leave_type_id: 'LTY004', leave_type_name: 'Casual', date_applied: '2011-01-01', empNumber: 6, leave_comments: 'my comment8'}
  
Leave:
  0: {leave_id: 1, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 1, leave_type_id: 'LTY001', employee_id: 1, leave_date: '2010-09-01', leave_status: 1}
  1: {leave_id: 2, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 1, leave_type_id: 'LTY001', employee_id: 1, leave_date: '2010-09-02', leave_status: 1}
  2: {leave_id: 3, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 2, leave_type_id: 'LTY001', employee_id: 1, leave_date: '2010-09-06', leave_status: '-1'}
  3: {leave_id: 4, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 2, leave_type_id: 'LTY001', employee_id: 1, leave_date: '2010-09-07', leave_status: '-1'}
  4: {leave_id: 5, leave_length_hours: 4, leave_length_days: '0.5', leave_request_id: 3, leave_type_id: 'LTY002', employee_id: 1, leave_date: '2010-09-09', leave_status: '-1'}
  5: {leave_id: 6, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 4, leave_type_id: 'LTY001', employee_id: 1, leave_date: '2010-09-13', leave_status: 0}
  6: {leave_id: 7, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 5, leave_type_id: 'LTY002', employee_id: 1, leave_date: '2010-09-15', leave_status: 0}
  7: {leave_id: 8, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 5, leave_type_id: 'LTY002', employee_id: 1, leave_date: '2010-09-16', leave_status: 0}
  8: {leave_id: 9, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 5, leave_type_id: 'LTY002', employee_id: 1, leave_date: '2010-09-17', leave_status: 0}
  9: {leave_id: 10, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 6, leave_type_id: 'LTY002', employee_id: 1, leave_date: '2010-09-21', leave_status: 2}
  10: {leave_id: 11, leave_length_hours: 6, leave_length_days: '0.75', leave_request_id: 7, leave_type_id: 'LTY001', employee_id: 1, leave_date: '2010-09-23', leave_status: 2}
  11: {leave_id: 12, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 8, leave_type_id: 'LTY001', employee_id: 1, leave_date: '2010-09-28', leave_status: 2}
  12: {leave_id: 13, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 8, leave_type_id: 'LTY001', employee_id: 1, leave_date: '2010-09-29', leave_status: 2}
  13: {leave_id: 14, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 9, leave_type_id: 'LTY003', employee_id: 1, leave_date: '2010-08-09', leave_status: 3}
  14: {leave_id: 15, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 10, leave_type_id: 'LTY001', employee_id: 1, leave_date: '2010-08-11', leave_status: 3}
  15: {leave_id: 16, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 11, leave_type_id: 'LTY002', employee_id: 1, leave_date: '2010-08-18', leave_status: 3}
  16: {leave_id: 17, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 11, leave_type_id: 'LTY002', employee_id: 1, leave_date: '2010-08-19', leave_status: 3}
  17: {leave_id: 18, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 11, leave_type_id: 'LTY002', employee_id: 1, leave_date: '2010-08-20', leave_status: 3}
  18: {leave_id: 19, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 12, leave_type_id: 'LTY002', employee_id: 2, leave_date: '2010-10-04', leave_status: 2}
  19: {leave_id: 20, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 13, leave_type_id: 'LTY001', employee_id: 2, leave_date: '2010-10-06', leave_status: 2}
  20: {leave_id: 21, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 13, leave_type_id: 'LTY001', employee_id: 2, leave_date: '2010-10-07', leave_status: 2}
  21: {leave_id: 22, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 14, leave_type_id: 'LTY001', employee_id: 2, leave_date: '2010-10-11', leave_status: 1}
  22: {leave_id: 23, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 14, leave_type_id: 'LTY001', employee_id: 2, leave_date: '2010-10-12', leave_status: 1}
  23: {leave_id: 24, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 15, leave_type_id: 'LTY002', employee_id: 3, leave_date: '2010-09-06', leave_status: 1}
  24: {leave_id: 25, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 15, leave_type_id: 'LTY002', employee_id: 3, leave_date: '2010-09-07', leave_status: 1}
  25: {leave_id: 26, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 16, leave_type_id: 'LTY001', employee_id: 5, leave_date: '2010-10-04', leave_status: 1}
  26: {leave_id: 27, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 17, leave_type_id: 'LTY002', employee_id: 5, leave_date: '2010-10-14', leave_status: 1}
  27: {leave_id: 28, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 17, leave_type_id: 'LTY002', employee_id: 5, leave_date: '2010-10-15', leave_status: 1}
  28: {leave_id: 29, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 18, leave_type_id: 'LTY002', employee_id: 5, leave_date: '2010-05-12', leave_status: 3}
  29: {leave_id: 30, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 18, leave_type_id: 'LTY002', employee_id: 5, leave_date: '2010-05-13', leave_status: 3}
  30: {leave_id: 31, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 19, leave_type_id: 'LTY001', employee_id: 5, leave_date: '2011-02-07', leave_status: 1}
  31: {leave_id: 32, leave_length_hours: 8, leave_length_days: 1, leave_request_id: 19, leave_type_id: 'LTY001', employee_id: 5, leave_date: '2011-02-08', leave_status: 1}
  32: {leave_id: 33, leave_length_hours: 1, leave_length_days: 1, leave_request_id: 20, leave_type_id: 'LTY004', employee_id: 6, leave_date: '2011-01-01', leave_status: 1, start_time: '10:00', end_time: '11:00'}
  33: {leave_id: 34, leave_length_hours: 1, leave_length_days: 1, leave_request_id: 20, leave_type_id: 'LTY004', employee_id: 6, leave_date: '2011-01-01', leave_status: 1, start_time: '11:00', end_time: '12:00'}
  34: {leave_id: 35, leave_length_hours: 1, leave_length_days: 0.25, leave_request_id: 20, leave_type_id: 'LTY004', employee_id: 6, leave_date: '2011-01-01', leave_status: 1, start_time: '13:00', end_time: '14:00'}
